range-slider {
    --element-height: 24px;
    --track-height: 3px;
    --thumb-size: 16px;
    position: relative;
    display: flex;
    align-items: center;
    height: var(--element-height);
    width: 100%;
    min-width: 130px;
    margin: 2px;
    overflow: visible;
    cursor: pointer;
    touch-action: none
}

range-slider:focus {
    outline: 0
}

range-slider[disabled] {
    filter: grayscale(1);
    opacity: .8
}

range-slider:before {
    content: "";
    display: block;
    width: 100%;
    height: var(--track-height);
    border-radius: calc(var(--track-height)/3);
    background: linear-gradient(#4CB051, #4CB051) 0/var(--value-percent, 0) 100% no-repeat #ECEDF2;
}

range-slider:focus .thumb {
    box-shadow: 0 0 0 .3em rgba(98, 33, 234, .2)
}

range-slider.touch-active .thumb-wrapper .thumb {
    box-shadow: none;
    transform: scale(1.5)
}

.thumb {
    background: #4CB051;
    border-radius: 50%;
    width: var(--thumb-size);
    height: var(--thumb-size);
    position: absolute;
    bottom: calc(var(--element-height)/2 - var(--thumb-size)/2);
    left: var(--value-percent, 0);
    margin-left: calc(var(--thumb-size)/2*-1);
    transition: transform .2s ease;
    will-change: transform;
    pointer-events: none
}

.thumb-wrapper {
    position: absolute;
    left: calc(var(--thumb-size)/2);
    right: calc(var(--thumb-size)/2);
    bottom: 0;
    height: 0;
    overflow: visible
}


/*# sourceMappingURL=/styles.css.map */